io.vertx.rxjava.ext.unit.report

## Class TestCaseReport

- java.lang.Object
- - io.vertx.rxjava.ext.unit.report.TestCaseReport

-     public class TestCaseReport
      extends Object

  Report the execution of a test case.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeArg<TestCaseReport>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestCaseReport(TestCaseReport delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TestCaseReport` | `endHandler(Handler<TestResult> handler)` Set a callback for completion, the specified `handler` is invoked when the test exec has completed.
    `TestCaseReport` | `getDelegate()`
    `String` | `name()`
    `static TestCaseReport` | `newInstance(TestCaseReport arg)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final TypeArg<TestCaseReport> __TYPE_ARG

  - ### Constructor Detail

    - #### TestCaseReport

          public TestCaseReport(TestCaseReport delegate)

  - ### Method Detail

    - #### getDelegate

          public TestCaseReport getDelegate()

    - #### name

          public String name()

      Returns:
        the test case name

    - #### endHandler

          public TestCaseReport endHandler(Handler<TestResult> handler)

      Set a callback for completion, the specified `handler` is invoked when the test exec has completed.
      Parameters:
        `handler` - the completion handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### newInstance

          public static TestCaseReport newInstance(TestCaseReport arg)

Copyright © 2017. All rights reserved.